Get a connector
curl --request GET \
--url https://api.databar.ai/v1/connectors/{connector_id} \
--header 'x-apikey: <x-apikey>'import requests
url = "https://api.databar.ai/v1/connectors/{connector_id}"
headers = {"x-apikey": "<x-apikey>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-apikey': '<x-apikey>'}};
fetch('https://api.databar.ai/v1/connectors/{connector_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"type": "<string>",
"method": "<string>",
"url": "<string>",
"headers": [],
"parameters": [],
"body": [],
"body_template": "<string>",
"rate_limit": 123,
"max_concurrency": 123,
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Connectors
Get custom connector info
Retrieve details of a specific custom API connector.
GET
/
v1
/
connectors
/
{connector_id}
Get a connector
Headers
API Key for authentication
Path Parameters
The connector ID
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I